Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## fr.gouv.culture.sdx.utils.constants
Interface ContextKeys.SDX.Framework

Enclosing interface:
  ContextKeys.SDX

    public static interface ContextKeys.SDX.Framework

Field Summary
`static java.lang.String` | `ANALYZER_MGR` String representation for a key in the ContextKeys object : framework's analyzer manager.
`static java.lang.String` | `CONFIGURATION_FILE` String representation for a key in the ContextKeys object : framework's configuration file.
`static java.lang.String` | `CONFIGURATION_PATH` String representation for a key in the ContextKeys object : framework's configuration directory.
`static java.lang.String` | `LIBRARY_PATH` String representation for a key in the ContextKeys object : framework's libraries.
`static java.lang.String` | `RMI_HOST` String representation for a key in the ContextKeys object : famework's RMI host.
`static java.lang.String` | `RMI_PORT` String representation for a key in the ContextKeys object : famework's RMI port.
`static java.lang.String` | `ROOT_PATH` String representation for a key in the ContextKeys object : framework's context directory.

Field Detail

### CONFIGURATION_FILE

    static final java.lang.String CONFIGURATION_FILE

  String representation for a key in the ContextKeys object : framework's configuration file.

  See Also:
    Constant Field Values

### ROOT_PATH

    static final java.lang.String ROOT_PATH

  String representation for a key in the ContextKeys object : framework's context directory.

  See Also:
    Constant Field Values

### CONFIGURATION_PATH

    static final java.lang.String CONFIGURATION_PATH

  String representation for a key in the ContextKeys object : framework's configuration directory.

  See Also:
    Constant Field Values

### LIBRARY_PATH

    static final java.lang.String LIBRARY_PATH

  String representation for a key in the ContextKeys object : framework's libraries.

  See Also:
    Constant Field Values

### RMI_HOST

    static final java.lang.String RMI_HOST

  String representation for a key in the ContextKeys object : famework's RMI host.

  See Also:
    Constant Field Values

### RMI_PORT

    static final java.lang.String RMI_PORT

  String representation for a key in the ContextKeys object : famework's RMI port.

  See Also:
    Constant Field Values

### ANALYZER_MGR

    static final java.lang.String ANALYZER_MGR

  String representation for a key in the ContextKeys object : framework's analyzer manager.

  See Also:
    Constant Field Values

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2010 Ministere de la culture et de la communication / AJLSM. All Rights Reserved.